<!doctype html>
<!--
Copyright (c) 2014 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE
The complete set of authors may be found at http://polymer.github.io/AUTHORS
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS
-->
<html>
<head>
  <title>Quiz App</title>

  <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
  <meta name="mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-touch-fullscreen" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style"
        content="black-translucent" >
  <meta name="format-detection" content="telephone=no">

  <link rel="shortcut icon" href="favicon.ico">
  <link rel="icon" sizes="196x196" href="icons/icon-196.png">
  <link rel="apple-touch-icon" sizes="152x152" href="icons/iPad@2x.png">
  <link rel="apple-touch-icon" sizes="144x144" href="icons/Icon-72@2x.png">
  <link rel="apple-touch-icon" sizes="120x120" href="icons/iPhone@2x.png">

  <meta name="application-name" content="Quiz App">

  <!--
  Force the ShadowDOM Polyfill. Doing so removes console exceptions in Chrome,
  but styling is off on paper-fabs.
  -->
  <!-- <script>
    var WebComponents= {flags: {shadow: true}};
  </script> -->

  <script src="components/webcomponentsjs/webcomponents.js"></script>

  <link rel="stylesheet" href="theme.css" shim-shadowdom>

  <!--
  <link rel="import" href="components/font-roboto/roboto.html">
  -->
  <link rel="import" href="polyfills/fonts/roboto.html">
  <link rel="import" href="components/core-icons/core-icons.html">
  <link rel="import" href="components/core-icons/av-icons.html">
  <link rel="import" href="components/core-icons/social-icons.html">
  <link rel="import" href="components/topeka-elements/topeka-datasource.html">
    <link rel="import" href="components/topeka-elements/topeka-app.html">
    <link rel="import" href="components/topeka-elements/theme.html">
    <link rel="import" href="http://www.mocky.io/v2/568779711300003b4430ff87">

    <script>
      if (navigator.serviceWorker) {
        // Register our ServiceWorker
        navigator.serviceWorker.register("sw.js");
      }
    </script>

  </head>
  <body>

    <template is="auto-binding">
      <topeka-datasource url="http://www.mocky.io/v2/568779711300003b4430ff87/" user="{{user}}" categories="{{categories}}" connected="{{connected}}"></topeka-datasource>
      <topeka-app fit user="{{user}}" categories="{{categories}}" connected="{{connected}}" touch-action="auto"></topeka-app>
    </template>

    <script>
      // Analytics for pp.org
      (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
      (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
      m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
      })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

      ga('create', 'UA-39334307-1', 'auto');
      ga('send', 'pageview');
    </script>

  </body>
  </html>
